import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { JwtModule } from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { UsersRepository } from 'src/modules/users/user.repository';
import { FileUploadsService } from 'src/modules/file-uploads/file-uploads.service';
import { DoSpacesService } from 'src/modules/SpacesModule/SpacesService/doSpacesService';
import { DoSpacesServicerovider } from 'src/modules/SpacesModule/SpacesService';
import { CollectionPageRepository } from './collection-page-cms.repository';
import { CollectionPageController } from './collection-page-cms.controller';
import { CollectionPageService } from './collection-page-cms.service';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([CollectionPageRepository])
    ],
    controllers: [CollectionPageController],
    providers: [CollectionPageService, JwtHelper, FileUploadsService, DoSpacesService, DoSpacesServicerovider]
})
export class CollectionPageModule {}