import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { JwtModule } from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { UsersRepository } from 'src/modules/users/user.repository';
import { LearnPageCmsRepository } from './learn-page-cms.repository';
import { LearnPageCmsController } from './learn-page-cms.controller';
import { LearnPageCmsService } from './learn-page-cms.service';
import { FileUploadsService } from 'src/modules/file-uploads/file-uploads.service';
import { DoSpacesService } from 'src/modules/SpacesModule/SpacesService/doSpacesService';
import { DoSpacesServicerovider } from 'src/modules/SpacesModule/SpacesService';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([LearnPageCmsRepository])
    ],
    controllers: [LearnPageCmsController],
    providers: [LearnPageCmsService, JwtHelper, FileUploadsService, DoSpacesService, DoSpacesServicerovider]
})
export class LearnPageCmsModule {}