import { EntityRepository, Repository } from "typeorm";
import { UpdatePromotionalPageCmsDto } from "./dto/update-promotional-page-cms.dto";
import { PromotionalPageCms } from "./entities/promotional-page-cms.entity";

@EntityRepository(PromotionalPageCms)
export class PromotionalPageCmsRepository extends Repository<PromotionalPageCms> {

    async createEntity(dto: UpdatePromotionalPageCmsDto): Promise<PromotionalPageCms | Error> {
        try {
            const entity = this.create({
                firstProductId: dto.firstProductId,
                firstProductLabel: dto.firstProductLabel,
                firstProductDiscount: dto.firstProductDiscount,
                secondProductId: dto.secondProductId,
                secondProductLabel: dto.secondProductLabel,
                secondProductDiscount: dto.secondProductDiscount,
                thirdProductId: dto.thirdProductId,
                thirdProductLabel: dto.thirdProductLabel,
                thirdProductDiscount: dto.thirdProductDiscount,
                fourthProductId: dto.fourthProductId,
                fourthProductLabel: dto.fourthProductLabel,
                fourthProductDiscount: dto.fourthProductDiscount,
                fifthProductId: dto.fifthProductId,
                fifthProductLabel: dto.fifthProductLabel,
                fifthProductDiscount: dto.fifthProductDiscount,
                firstProductImage: dto.firstProductImage,
                secondProductImage: dto.secondProductImage,
                thirdProductImage: dto.thirdProductImage,
                fourthProductImage: dto.fourthProductImage,
                fifthProductImage: dto.fifthProductImage,
                title: dto.title,
                subTitle: dto.subTitle,
            });
            await this.save(entity);
            return entity;
        }
        catch (e) {
            return e;
        }
    }

    async UpdateEntity(dto: UpdatePromotionalPageCmsDto, id: string): Promise<PromotionalPageCms | Error> {
        try {
            await this.update(id, {
                firstProductId: dto.firstProductId,
                firstProductLabel: dto.firstProductLabel,
                firstProductDiscount: dto.firstProductDiscount,
                secondProductId: dto.secondProductId,
                secondProductLabel: dto.secondProductLabel,
                secondProductDiscount: dto.secondProductDiscount,
                thirdProductId: dto.thirdProductId,
                thirdProductLabel: dto.thirdProductLabel,
                thirdProductDiscount: dto.thirdProductDiscount,
                fourthProductId: dto.fourthProductId,
                fourthProductLabel: dto.fourthProductLabel,
                fourthProductDiscount: dto.fourthProductDiscount,
                fifthProductId: dto.fifthProductId,
                fifthProductLabel: dto.fifthProductLabel,
                fifthProductDiscount: dto.fifthProductDiscount,
                firstProductImage: dto.firstProductImage,
                secondProductImage: dto.secondProductImage,
                thirdProductImage: dto.thirdProductImage,
                fourthProductImage: dto.fourthProductImage,
                fifthProductImage: dto.fifthProductImage,
                title: dto.title,
                subTitle: dto.subTitle,
            });
            return await this.findOne(id);
        }
        catch (e) {
            return e;
        }
    }

    async findAll(): Promise<PromotionalPageCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        }
        catch (e) {
            return e;
        }
    }
}