import { EntityRepository, Repository } from "typeorm";
import { UpdateReturnPageCmsDto } from "./dto/update-return-page-cms.dto";
import { ReturnPageCms } from "./entities/return-page-cms.entity";

@EntityRepository(ReturnPageCms)
export class ReturnPageCmsRepository extends Repository<ReturnPageCms> {

    async createEntity(dto: UpdateReturnPageCmsDto): Promise<ReturnPageCms | Error> {
        try {
            const entity = this.create({
                title: dto.title,
                description: dto.description,
            });
            await this.save(entity);
            return entity;
        }
        catch (e) {
            return e;
        }
    }

    async UpdateEntity(dto: UpdateReturnPageCmsDto, id: string): Promise<ReturnPageCms | Error> {
        try {
            await this.update(id, {
                title: dto.title,
                description: dto.description,
            });
            return await this.findOne(id);
        }
        catch (e) {
            return e;
        }
    }

    async findAll(): Promise<ReturnPageCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        }
        catch (e) {
            return e;
        }
    }
}