import { EntityRepository, Repository } from "typeorm";
import { UpdateStylePageSectionFiveCmsDto } from "./dto/update-style-page-section-five-cms.dto";
import { StylePageSectionFiveCms } from "./entities/style-page-section-five-cms.entity";

@EntityRepository(StylePageSectionFiveCms)
export class StylePageSectionFiveCmsRepository extends Repository<StylePageSectionFiveCms> {

    async createEntity(dto: UpdateStylePageSectionFiveCmsDto): Promise<StylePageSectionFiveCms | Error> {
        try {
            const entity = this.create({
                sectionTitle: dto.sectionTitle,
                buttonText: dto.buttonText,
                imageOne: dto.imageOne,
                imageOneTitle: dto.imageOneTitle,
                imageOneLink: dto.imageOneLink,
                imageTwo: dto.imageTwo,
                imageTwoTitle: dto.imageTwoTitle,
                imageTwoLink: dto.imageTwoLink,
                imageThree: dto.imageThree,
                imageThreeTitle: dto.imageThreeTitle,
                imageThreeLink: dto.imageThreeLink,
            });
            await this.save(entity);
            return entity;
        }
        catch (e) {
            return e;
        }
    }

    async UpdateEntity(dto: UpdateStylePageSectionFiveCmsDto, id: string): Promise<StylePageSectionFiveCms | Error> {
        try {
            await this.update(id, {
                sectionTitle: dto.sectionTitle,
                buttonText: dto.buttonText,
                imageOne: dto.imageOne,
                imageOneTitle: dto.imageOneTitle,
                imageOneLink: dto.imageOneLink,
                imageTwo: dto.imageTwo,
                imageTwoTitle: dto.imageTwoTitle,
                imageTwoLink: dto.imageTwoLink,
                imageThree: dto.imageThree,
                imageThreeTitle: dto.imageThreeTitle,
                imageThreeLink: dto.imageThreeLink,
            });
            return await this.findOne(id);
        }
        catch (e) {
            return e;
        }
    }

    async findAll(): Promise<StylePageSectionFiveCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        }
        catch (e) {
            return e;
        }
    }
}