import { EntityRepository, Repository } from "typeorm";
import { UpdateStylePageSectionThreeCmsDto } from "./dto/update-style-page-section-three-cms.dto";
import { StylePageSectionThreeCms } from "./entities/style-page-section-three-cms.entity";

@EntityRepository(StylePageSectionThreeCms)
export class StylePageSectionThreeCmsRepository extends Repository<StylePageSectionThreeCms> {

    async createEntity(dto: UpdateStylePageSectionThreeCmsDto): Promise<StylePageSectionThreeCms | Error> {
        try {
            const entity = this.create({
                title: dto.title,
                subTitle: dto.subTitle,
                image: dto.image,
                imageTwo: dto.imageTwo,
                description: dto.description,
                buttonText: dto.buttonText,
                buttonLink: dto.buttonLink,
            });
            await this.save(entity);
            return entity;
        }
        catch (e) {
            return e;
        }
    }

    async UpdateEntity(dto: UpdateStylePageSectionThreeCmsDto, id: string): Promise<StylePageSectionThreeCms | Error> {
        try {
            await this.update(id, {
                title: dto.title,
                subTitle: dto.subTitle,
                image: dto.image,
                imageTwo: dto.imageTwo,
                description: dto.description,
                buttonText: dto.buttonText,
                buttonLink: dto.buttonLink,
            });
            return await this.findOne(id);
        }
        catch (e) {
            return e;
        }
    }

    async findAll(): Promise<StylePageSectionThreeCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        }
        catch (e) {
            return e;
        }
    }
}