import { Controller, Get, Post, Body, Patch, Param, Delete } from '@nestjs/common';
import { Constants } from 'src/utils/constants';
import { ChangePasswordTokenService } from './change-password-token.service';
import { CreateChangePasswordTokenDto } from './dto/create-change-password-token.dto';
import { UpdateChangePasswordTokenDto } from './dto/update-change-password-token.dto';

@Controller({
  path: 'change-password-token',
  version: Constants.API_VERSION_1
})
export class ChangePasswordTokenController {
  constructor(private readonly changePasswordTokenService: ChangePasswordTokenService) {}

  @Post()
  create(@Body() createChangePasswordTokenDto: CreateChangePasswordTokenDto) {
    return this.changePasswordTokenService.create(createChangePasswordTokenDto);
  }

  @Get()
  findAll() {
    return this.changePasswordTokenService.findAll();
  }

  @Get(':id')
  findOne(@Param('id') id: string) {
    return this.changePasswordTokenService.findOne(id);
  }

  @Patch(':id')
  update(@Param('id') id: string, @Body() updateChangePasswordTokenDto: UpdateChangePasswordTokenDto) {
    return this.changePasswordTokenService.update(id, updateChangePasswordTokenDto);
  }

  @Delete(':id')
  remove(@Param('id') id: string) {
    return this.changePasswordTokenService.remove(id);
  }
}
