import { Controller, Get, Post, Body, HttpCode, UseGuards, HttpStatus } from '@nestjs/common';
import { AdminAuthGuard } from 'src/core/guards/admin-auth.guard';
import { Constants } from 'src/utils/constants';
import { AboutComponentCmsService } from './about-component-cms.service';
import { UpdateAboutComponentCmsDto } from './dto/update-about-component-cms.dto';

@Controller({ path: 'about-component-cms', version: Constants.API_VERSION_1 })

export class AboutComponentCmsController {
    constructor(private readonly service: AboutComponentCmsService) { }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateAboutComponentCmsDto,
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
