import { EntityRepository, Repository } from "typeorm";
import { UpdateAboutComponentCmsDto } from "./dto/update-about-component-cms.dto";
import { AboutComponentCms } from "./entities/about-component-cms.entity";

@EntityRepository(AboutComponentCms)
export class AboutComponentCmsRepository extends Repository<AboutComponentCms> {

    async createEntity(dto: UpdateAboutComponentCmsDto): Promise<AboutComponentCms | Error> {
        try {
            const entity = this.create({
                pageHeaderFontColor: dto.pageHeaderFontColor,
                pageHeaderBackgroundColor: dto.pageHeaderBackgroundColor,
                pageBackgroundColor: dto.pageBackgroundColor,
                titleFontColor: dto.titleFontColor,
            });
            await this.save(entity);
            return entity;
        }
        catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateAboutComponentCmsDto, id: string): Promise<AboutComponentCms | Error> {
        try {
            await this.update(id, {
                pageHeaderFontColor: dto.pageHeaderFontColor,
                pageHeaderBackgroundColor: dto.pageHeaderBackgroundColor,
                pageBackgroundColor: dto.pageBackgroundColor,
                titleFontColor: dto.titleFontColor,
            });
            return await this.findOne(id);
        }
        catch (e) {
            return e;
        }
    }

    async findAll(): Promise<AboutComponentCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        }
        catch (e) {
            return e;
        }
    }
}