import { Controller, Get, Post, Body, HttpCode, UseGuards, HttpStatus } from '@nestjs/common';
import { AdminAuthGuard } from 'src/core/guards/admin-auth.guard';
import { Constants } from 'src/utils/constants';
import { ContactComponentCmsService } from './contact-component-cms.service';
import { UpdateContactComponentCmsDto } from './dto/update-contact-component-cms.dto';

@Controller({ path: 'contact-component-cms', version: Constants.API_VERSION_1 })

export class ContactComponentCmsController {
    constructor(private readonly service: ContactComponentCmsService) { }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateContactComponentCmsDto,
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
