import { EntityRepository, Repository } from "typeorm";
import { UpdateGalleryComponentCmsDto } from "./dto/update-gallery-component-cms.dto";
import { GalleryComponentCms } from "./entities/gallery-component-cms.entity";

@EntityRepository(GalleryComponentCms)
export class GalleryComponentCmsRepository extends Repository<GalleryComponentCms> {

    async createEntity(dto: UpdateGalleryComponentCmsDto): Promise<GalleryComponentCms | Error> {
        try {
            const entity = this.create({
                pageTitleFontColor: dto.pageTitleFontColor,
                pageSubTitleFontColor: dto.pageSubTitleFontColor,
                pageBackgroundColor: dto.pageBackgroundColor,
            });
            await this.save(entity);
            return entity;
        }
        catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateGalleryComponentCmsDto, id: string): Promise<GalleryComponentCms | Error> {
        try {
            await this.update(id, {
                pageTitleFontColor: dto.pageTitleFontColor,
                pageSubTitleFontColor: dto.pageSubTitleFontColor,
                pageBackgroundColor: dto.pageBackgroundColor,
            });
            return await this.findOne(id);
        }
        catch (e) {
            return e;
        }
    }

    async findAll(): Promise<GalleryComponentCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        }
        catch (e) {
            return e;
        }
    }
}