import { EntityRepository, Repository } from "typeorm";
import { UpdateGiftCardComponentCmsDto } from "./dto/update-gift-card-component-cms.dto";
import { GiftCardComponentCms } from "./entities/gift-card-component-cms.entity";

@EntityRepository(GiftCardComponentCms)
export class GiftCardComponentCmsRepository extends Repository<GiftCardComponentCms> {

    async createEntity(dto: UpdateGiftCardComponentCmsDto): Promise<GiftCardComponentCms | Error> {
        try {
            const entity = this.create({
                pageHeaderFontColor: dto.pageHeaderFontColor,
                pageHeaderBackgroundColor: dto.pageHeaderBackgroundColor,
                pageBackgroundColor: dto.pageBackgroundColor,
                pageTitleFontColor: dto.pageTitleFontColor,
                pageSubTitleFontColor: dto.pageSubTitleFontColor,
            });
            await this.save(entity);
            return entity;
        }
        catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateGiftCardComponentCmsDto, id: string): Promise<GiftCardComponentCms | Error> {
        try {
            await this.update(id, {
                pageHeaderFontColor: dto.pageHeaderFontColor,
                pageHeaderBackgroundColor: dto.pageHeaderBackgroundColor,
                pageBackgroundColor: dto.pageBackgroundColor,
                pageTitleFontColor: dto.pageTitleFontColor,
                pageSubTitleFontColor: dto.pageSubTitleFontColor,
            });
            return await this.findOne(id);
        }
        catch (e) {
            return e;
        }
    }

    async findAll(): Promise<GiftCardComponentCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        }
        catch (e) {
            return e;
        }
    }
}