import { Controller, Get, Post, Body, HttpCode, UseGuards, HttpStatus } from '@nestjs/common';
import { AdminAuthGuard } from 'src/core/guards/admin-auth.guard';
import { Constants } from 'src/utils/constants';
import { HomeComponentCmsService } from './home-component-cms.service';
import { UpdateHomeComponentCmsDto } from './dto/update-home-component-cms.dto';

@Controller({ path: 'home-component-cms', version: Constants.API_VERSION_1 })

export class HomeComponentCmsController {
    constructor(private readonly service: HomeComponentCmsService) { }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateHomeComponentCmsDto,
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
