import { EntityRepository, Repository } from "typeorm";
import { UpdateProductDetailsComponentCmsDto } from "./dto/update-product-details-component-cms.dto";
import { ProductDetailsComponentCms } from "./entities/product-details-component-cms.entity";

@EntityRepository(ProductDetailsComponentCms)
export class ProductDetailsComponentCmsRepository extends Repository<ProductDetailsComponentCms> {

    async createEntity(dto: UpdateProductDetailsComponentCmsDto): Promise<ProductDetailsComponentCms | Error> {
        try {
            const entity = this.create({
                productTitleFontColor: dto.productTitleFontColor,
                pageBackgroundColor: dto.pageBackgroundColor,
                relatedProductTitleFontColor: dto.relatedProductTitleFontColor,
                descriptionBackgroundColor: dto.descriptionBackgroundColor
            });
            await this.save(entity);
            return entity;
        }
        catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateProductDetailsComponentCmsDto, id: string): Promise<ProductDetailsComponentCms | Error> {
        try {
            await this.update(id, {
                productTitleFontColor: dto.productTitleFontColor,
                pageBackgroundColor: dto.pageBackgroundColor,
                relatedProductTitleFontColor: dto.relatedProductTitleFontColor,
                descriptionBackgroundColor: dto.descriptionBackgroundColor
            });
            return await this.findOne(id);
        }
        catch (e) {
            return e;
        }
    }

    async findAll(): Promise<ProductDetailsComponentCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        }
        catch (e) {
            return e;
        }
    }
}