import { Controller, Get, Post, Body, HttpCode, UseGuards, HttpStatus } from '@nestjs/common';
import { AdminAuthGuard } from 'src/core/guards/admin-auth.guard';
import { Constants } from 'src/utils/constants';
import { PromotionalComponentCmsService } from './promotional-component-cms.service';
import { UpdatePromotionalComponentCmsDto } from './dto/update-promotional-component-cms.dto';

@Controller({ path: 'promotional-component-cms', version: Constants.API_VERSION_1 })

export class PromotionalComponentCmsController {
    constructor(private readonly service: PromotionalComponentCmsService) { }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdatePromotionalComponentCmsDto,
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
