import { EntityRepository, Repository } from "typeorm";
import { UpdateTermsPolicyComponentCmsDto } from "./dto/update-terms-policy-component-cms.dto";
import { TermsPolicyComponentCms } from "./entities/terms-policy-component-cms.entity";

@EntityRepository(TermsPolicyComponentCms)
export class TermsPolicyComponentCmsRepository extends Repository<TermsPolicyComponentCms> {

    async createEntity(dto: UpdateTermsPolicyComponentCmsDto): Promise<TermsPolicyComponentCms | Error> {
        try {
            const entity = this.create({
                pageHeaderFontColor: dto.pageHeaderFontColor,
                pageHeaderBackgroundColor: dto.pageHeaderBackgroundColor,
                pageBackgroundColor: dto.pageBackgroundColor,
            });
            await this.save(entity);
            return entity;
        }
        catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateTermsPolicyComponentCmsDto, id: string): Promise<TermsPolicyComponentCms | Error> {
        try {
            await this.update(id, {
                pageHeaderFontColor: dto.pageHeaderFontColor,
                pageHeaderBackgroundColor: dto.pageHeaderBackgroundColor,
                pageBackgroundColor: dto.pageBackgroundColor,
            });
            return await this.findOne(id);
        }
        catch (e) {
            return e;
        }
    }

    async findAll(): Promise<TermsPolicyComponentCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        }
        catch (e) {
            return e;
        }
    }
}