import { Controller, Get, Post, Body, Patch, Param, Delete } from '@nestjs/common';
import { NewsletterSubscriberService } from './newsletter-subscriber.service';
import { CreateNewsletterSubscriberDto } from './dto/create-newsletter-subscriber.dto';
import { UpdateNewsletterSubscriberDto } from './dto/update-newsletter-subscriber.dto';
import { Constants } from 'src/utils/constants';

@Controller({  
  path: 'newsletter-subscriber',
  version: Constants.API_VERSION_1})
export class NewsletterSubscriberController {
  constructor(private readonly newsletterSubscriberService: NewsletterSubscriberService) {}

  @Post()
  create(@Body() createNewsletterSubscriberDto: CreateNewsletterSubscriberDto) {
    return this.newsletterSubscriberService.create(createNewsletterSubscriberDto);
  }

  @Get()
  findAll() {
    return this.newsletterSubscriberService.findAll();
  }

  @Delete(':id')
  remove(@Param('id') id: string) {
    return this.newsletterSubscriberService.remove(id);
  }
}
