import { Module } from '@nestjs/common';
import { JwtModule } from '@nestjs/jwt';
import { TypeOrmModule } from '@nestjs/typeorm';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { UsersRepository } from 'src/modules/users/user.repository';
import { OrderRepository } from '../order/order-repository';
import { GiftCardDetailsController } from './gift-card-details.controller';
import { GiftCardDetailsService } from './gift-card-details.service';


@Module({
  imports: [
    JwtModule.registerAsync({
      useClass: JwtConfigService
  }),
  TypeOrmModule.forFeature([UsersRepository]),
  TypeOrmModule.forFeature([OrderRepository]),
],
  controllers: [GiftCardDetailsController],
  providers: [GiftCardDetailsService , JwtHelper]
})
export class GiftCardDetailsModule {}
