import { IsEmpty, IsNotEmpty } from "class-validator";

export class CreateOrderByAdminDto {
    @IsNotEmpty()
    readonly fullName : string;

    @IsNotEmpty()
    readonly email: string;

    @IsNotEmpty()
    readonly phone: string;
    
    @IsNotEmpty()
    readonly shippingAddress: string;

    @IsNotEmpty()
    readonly billingAddress: string;

    @IsNotEmpty()
    readonly remarks: string;

    @IsNotEmpty()
    readonly itemSubTotal: number;

    @IsNotEmpty()
    readonly itemTotal: number;

    @IsEmpty()
    itemTotalDiscount: string;

    @IsNotEmpty()
    readonly paymentMethodName: string;

    @IsEmpty()
    ccNum: string;

    @IsEmpty()
    ccExp: string;

    @IsEmpty()
    cvv: string;

    @IsEmpty()
    amount: number;

    @IsEmpty()
    paymentStatus: string;

    @IsNotEmpty()
    readonly products: [Object];

    @IsNotEmpty()
    readonly giftCard: [Object];
}
