import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { ProductHighlightRepository } from './product-highlight.repository';
import { ProductHighlightController } from './product-highlight.controller';
import { ProductHighlightService } from './product-highlight.service';
import { JwtModule } from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { UsersRepository } from 'src/modules/users/user.repository';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([ProductHighlightRepository])
    ],
    controllers: [ProductHighlightController],
    providers: [ProductHighlightService, JwtHelper]
})
export class ProductHighlightModule { }
