import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { ProductImageGalleryRepository } from './product-image-gallery.repository';
import { ProductImageGalleryController } from './product-image-gallery.controller';
import { ProductImageGalleryService } from './product-image-gallery.service';
import { JwtModule } from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { UsersRepository } from 'src/modules/users/user.repository';
import { DoSpacesServicerovider } from 'src/modules/SpacesModule/SpacesService';
import { DoSpacesService } from 'src/modules/SpacesModule/SpacesService/doSpacesService';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([ProductImageGalleryRepository])
    ],
    controllers: [ProductImageGalleryController],
    providers: [ProductImageGalleryService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class ProductImageGalleryModule {}
