import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { ProductMaterialRepository } from './product-material.repository';
import { ProductMaterialController } from './product-material.controller';
import { ProductMaterialService } from './product-material.service';
import { JwtModule } from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { UsersRepository } from 'src/modules/users/user.repository';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([ProductMaterialRepository])
    ],
    controllers: [ProductMaterialController],
    providers: [ProductMaterialService, JwtHelper]
})
export class ProductMaterialModule {}
