import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { ProductSizeRepository } from './product-size.repository';
import { ProductSizeController } from './product-size.controller';
import { ProductSizeService } from './product-size.service';
import { JwtModule } from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { UsersRepository } from 'src/modules/users/user.repository';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([ProductSizeRepository])
    ],
    controllers: [ProductSizeController],
    providers: [ProductSizeService, JwtHelper]
})
export class ProductSizeModule {}
