import { EntityRepository, Repository } from "typeorm";
import { UpdateAboutPageCmsDto } from "./dto/update-about-page-cms.dto";
import { AboutPageCms } from "./entities/about-page-cms.entity";

@EntityRepository(AboutPageCms)
export class AboutPageCmsRepository extends Repository<AboutPageCms> {

    async createEntity(dto: UpdateAboutPageCmsDto): Promise<AboutPageCms | Error> {
        try {
            const entity = this.create({
                title: dto.title,
                description: dto.description,
                image: dto.image,
            });
            await this.save(entity);
            return entity;
        }
        catch (e) {
            return e;
        }
    }

    async UpdateEntity(dto: UpdateAboutPageCmsDto, id: string): Promise<AboutPageCms | Error> {
        try {
            await this.update(id, {
                title: dto.title,
                description: dto.description,
                image: dto.image,
            });
            return await this.findOne(id);
        }
        catch (e) {
            return e;
        }
    }

    async findAll(): Promise<AboutPageCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        }
        catch (e) {
            return e;
        }
    }
}