import { EntityRepository, Repository } from "typeorm";
import { UpdateGalleryPageCmsDto } from "./dto/update-gallery-page-cms.dto";
import { GalleryPageCms } from "./entities/gallery-page-cms.entity";

@EntityRepository(GalleryPageCms)
export class GalleryPageCmsRepository extends Repository<GalleryPageCms> {

    async createEntity(dto: UpdateGalleryPageCmsDto): Promise<GalleryPageCms | Error> {
        try {
            const entity = this.create({
                title: dto.title,
                subTitle: dto.subTitle,
            });
            await this.save(entity);
            return entity;
        }
        catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateGalleryPageCmsDto, id: string): Promise<GalleryPageCms | Error> {
        try {
            await this.update(id, {
                title: dto.title,
                subTitle: dto.subTitle,
            });
            return await this.findOne(id);
        }
        catch (e) {
            return e;
        }
    }

    async findAll(): Promise<GalleryPageCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        }
        catch (e) {
            return e;
        }
    }
}