import { EntityRepository, Repository } from "typeorm";
import { UpdateGiftCardPageCmsDto } from "./dto/update-gift-card-page-cms.dto";
import { GiftCardPageCms } from "./entities/gift-card-page-cms.entity";

@EntityRepository(GiftCardPageCms)
export class GiftCardPageCmsRepository extends Repository<GiftCardPageCms> {

    async createEntity(dto: UpdateGiftCardPageCmsDto): Promise<GiftCardPageCms | Error> {
        try {
            const entity = this.create({
                pageTitle: dto.pageTitle,
                headerTitle: dto.headerTitle,
                headerSubTitle: dto.headerSubTitle
            });
            await this.save(entity);
            return entity;
        }
        catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateGiftCardPageCmsDto, id: string): Promise<GiftCardPageCms | Error> {
        try {
            await this.update(id, {
                pageTitle: dto.pageTitle,
                headerTitle: dto.headerTitle,
                headerSubTitle: dto.headerSubTitle
            });
            return await this.findOne(id);
        }
        catch (e) {
            return e;
        }
    }

    async findAll(): Promise<GiftCardPageCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        }
        catch (e) {
            return e;
        }
    }
}