import { EntityRepository, Repository } from "typeorm";
import { UpdateGiftGuideCmsDto } from "./dto/update-gift-guide-cms.dto";
import { GiftGuideCms } from "./entities/gift-guide-cms.entity";

@EntityRepository(GiftGuideCms)
export class GiftGuideCmsRepository extends Repository<GiftGuideCms> {

    async createEntity(dto: UpdateGiftGuideCmsDto): Promise<GiftGuideCms | Error> {
        try {
            const entity = this.create({
                image: dto.image,
                description: dto.description,
                buttonLink: dto.buttonLink,
                buttonText: dto.buttonText
            });
            await this.save(entity);
            return entity;
        }
        catch (e) {
            return e;
        }
    }

    async UpdateEntity(dto: UpdateGiftGuideCmsDto, id: string): Promise<GiftGuideCms | Error> {
        try {
            await this.update(id, {
                image: dto.image,
                description: dto.description,
                buttonLink: dto.buttonLink,
                buttonText: dto.buttonText
            });
            return await this.findOne(id);
        }
        catch (e) {
            return e;
        }
    }

    async findAll(): Promise<GiftGuideCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        }
        catch (e) {
            return e;
        }
    }
}