import { EntityRepository, Repository } from "typeorm";
import { UpdateHomePageSectionSevenCmsDto } from "./dto/update-home-page-section-seven-cms.dto";
import { HomePageSectionSevenCms } from "./entities/home-page-section-seven-cms.entity";

@EntityRepository(HomePageSectionSevenCms)
export class HomePageSectionSevenCmsRepository extends Repository<HomePageSectionSevenCms> {

    async createEntity(dto: UpdateHomePageSectionSevenCmsDto): Promise<HomePageSectionSevenCms | Error> {
        try {
            const entity = this.create({
                backgroundImage: dto.backgroundImage,
                productImage: dto.productImage,
                productName: dto.productName,
                productPrice: dto.productPrice,
                productLink: dto.productLink,
                productTwoImage: dto.productTwoImage,
                productTwoName: dto.productTwoName,
                productTwoPrice: dto.productTwoPrice,
                productTwoLink: dto.productTwoLink,
                productThreeImage: dto.productThreeImage,
                productThreeName: dto.productThreeName,
                productThreePrice: dto.productThreePrice,
                productThreeLink: dto.productThreeLink,
            });
            await this.save(entity);
            return entity;
        }
        catch (e) {
            return e;
        }
    }

    async UpdateEntity(dto: UpdateHomePageSectionSevenCmsDto, id: string): Promise<HomePageSectionSevenCms | Error> {
        try {
            await this.update(id, {
                backgroundImage: dto.backgroundImage,
                productImage: dto.productImage,
                productName: dto.productName,
                productPrice: dto.productPrice,
                productLink: dto.productLink,
                productTwoImage: dto.productTwoImage,
                productTwoName: dto.productTwoName,
                productTwoPrice: dto.productTwoPrice,
                productTwoLink: dto.productTwoLink,
                productThreeImage: dto.productThreeImage,
                productThreeName: dto.productThreeName,
                productThreePrice: dto.productThreePrice,
                productThreeLink: dto.productThreeLink,
            });
            return await this.findOne(id);
        }
        catch (e) {
            return e;
        }
    }

    async findAll(): Promise<HomePageSectionSevenCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        }
        catch (e) {
            return e;
        }
    }
}