import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { JwtModule } from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { UsersRepository } from 'src/modules/users/user.repository';
import { HomePageSectionSixCmsRepository } from './home-page-section-six-cms.repository';
import { HomePageSectionSixCmsController } from './home-page-section-six-cms.controller';
import { HomePageSectionSixCmsService } from './home-page-section-six-cms.service';
import { FileUploadsService } from 'src/modules/file-uploads/file-uploads.service';
import { DoSpacesService } from 'src/modules/SpacesModule/SpacesService/doSpacesService';
import { DoSpacesServicerovider } from 'src/modules/SpacesModule/SpacesService';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([HomePageSectionSixCmsRepository])
    ],
    controllers: [HomePageSectionSixCmsController],
    providers: [HomePageSectionSixCmsService, JwtHelper, FileUploadsService, DoSpacesService, DoSpacesServicerovider]
})
export class HomePageSectionSixCmsModule {}