import { EntityRepository, Repository } from "typeorm";
import { UpdateHomePageSectionThreeCmsDto } from "./dto/update-home-page-section-three-cms.dto";
import { HomePageSectionThreeCms } from "./entities/home-page-section-three-cms.entity";

@EntityRepository(HomePageSectionThreeCms)
export class HomePageSectionThreeCmsRepository extends Repository<HomePageSectionThreeCms> {

    async createEntity(dto: UpdateHomePageSectionThreeCmsDto): Promise<HomePageSectionThreeCms | Error> {
        try {
            const entity = this.create({
                title: dto.title,
                description: dto.description,
                buttonText: dto.buttonText,
                buttonLink: dto.buttonLink,
                imageOne: dto.imageOne,
                imageTwo: dto.imageTwo,
            });
            await this.save(entity);
            return entity;
        }
        catch (e) {
            return e;
        }
    }

    async UpdateEntity(dto: UpdateHomePageSectionThreeCmsDto, id: string): Promise<HomePageSectionThreeCms | Error> {
        try {
            await this.update(id, {
                title: dto.title,
                description: dto.description,
                buttonText: dto.buttonText,
                buttonLink: dto.buttonLink,
                imageOne: dto.imageOne,
                imageTwo: dto.imageTwo,
            });
            return await this.findOne(id);
        }
        catch (e) {
            return e;
        }
    }

    async findAll(): Promise<HomePageSectionThreeCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        }
        catch (e) {
            return e;
        }
    }
}