import { EntityRepository, Repository } from "typeorm";
import { UpdateShopGuideCmsDto } from "./dto/update-shop-guide-cms.dto";
import { ShopGuideCms } from "./entities/shop-guide-cms.entity";

@EntityRepository(ShopGuideCms)
export class ShopGuideCmsRepository extends Repository<ShopGuideCms> {

    async createEntity(dto: UpdateShopGuideCmsDto): Promise<ShopGuideCms | Error> {
        try {
            const entity = this.create({
                image: dto.image,
                description: dto.description,
                buttonLink: dto.buttonLink,
                buttonText: dto.buttonText
            });
            await this.save(entity);
            return entity;
        }
        catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateShopGuideCmsDto, id: string): Promise<ShopGuideCms | Error> {
        try {
            await this.update(id, {
                image: dto.image,
                description: dto.description,
                buttonLink: dto.buttonLink,
                buttonText: dto.buttonText
            });
            return await this.findOne(id);
        }
        catch (e) {
            return e;
        }
    }

    async findAll(): Promise<ShopGuideCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        }
        catch (e) {
            return e;
        }
    }
}