import { Controller, Get, Post, Body, HttpCode, UseGuards, HttpStatus } from '@nestjs/common';
import { AdminAuthGuard } from 'src/core/guards/admin-auth.guard';
import { Constants } from 'src/utils/constants';
import { CollectionComponentCmsService } from './collection-component-cms.service';
import { UpdateCollectionComponentCmsDto } from './dto/update-collection-component-cms.dto';

@Controller({ path: 'collection-component-cms', version: Constants.API_VERSION_1 })

export class CollectionComponentCmsController {
    constructor(private readonly service: CollectionComponentCmsService) { }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateCollectionComponentCmsDto,
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
