import { EntityRepository, Repository } from "typeorm";
import { UpdateCollectionComponentCmsDto } from "./dto/update-collection-component-cms.dto";
import { CollectionComponentCms } from "./entities/collection-component-cms.entity";

@EntityRepository(CollectionComponentCms)
export class CollectionComponentCmsRepository extends Repository<CollectionComponentCms> {

    async createEntity(dto: UpdateCollectionComponentCmsDto): Promise<CollectionComponentCms | Error> {
        try {
            const entity = this.create({
                pageBackgroundColor: dto.pageBackgroundColor,
                pageHeaderBackgroundColor: dto.pageHeaderBackgroundColor,
                pageTitleFontColor: dto.pageTitleFontColor,
                pageSubTitleFontColor: dto.pageSubTitleFontColor,
                sectionThreeTitleFontColor: dto.sectionThreeTitleFontColor,
                sectionFourTitleFontColor: dto.sectionFourTitleFontColor,
                sectionFourSubTitleFontColor: dto.sectionFourSubTitleFontColor,
            });
            await this.save(entity);
            return entity;
        }
        catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateCollectionComponentCmsDto, id: string): Promise<CollectionComponentCms | Error> {
        try {
            await this.update(id, {
                pageBackgroundColor: dto.pageBackgroundColor,
                pageHeaderBackgroundColor: dto.pageHeaderBackgroundColor,
                pageTitleFontColor: dto.pageTitleFontColor,
                pageSubTitleFontColor: dto.pageSubTitleFontColor,
                sectionThreeTitleFontColor: dto.sectionThreeTitleFontColor,
                sectionFourTitleFontColor: dto.sectionFourTitleFontColor,
                sectionFourSubTitleFontColor: dto.sectionFourSubTitleFontColor,
            });
            return await this.findOne(id);
        }
        catch (e) {
            return e;
        }
    }

    async findAll(): Promise<CollectionComponentCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        }
        catch (e) {
            return e;
        }
    }
}