import { EntityRepository, Repository } from "typeorm";
import { UpdateContactComponentCmsDto } from "./dto/update-contact-component-cms.dto";
import { ContactComponentCms } from "./entities/contact-component-cms.entity";

@EntityRepository(ContactComponentCms)
export class ContactComponentCmsRepository extends Repository<ContactComponentCms> {

    async createEntity(dto: UpdateContactComponentCmsDto): Promise<ContactComponentCms | Error> {
        try {
            const entity = this.create({
                pageHeaderFontColor: dto.pageHeaderFontColor,
                pageHeaderBackgroundColor: dto.pageHeaderBackgroundColor,
                pageBackgroundColor: dto.pageBackgroundColor,
                pageTitleFontColor: dto.pageTitleFontColor,
                pageSubTitleFontColor: dto.pageSubTitleFontColor,
            });
            await this.save(entity);
            return entity;
        }
        catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateContactComponentCmsDto, id: string): Promise<ContactComponentCms | Error> {
        try {
            await this.update(id, {
                pageHeaderFontColor: dto.pageHeaderFontColor,
                pageHeaderBackgroundColor: dto.pageHeaderBackgroundColor,
                pageBackgroundColor: dto.pageBackgroundColor,
                pageTitleFontColor: dto.pageTitleFontColor,
                pageSubTitleFontColor: dto.pageSubTitleFontColor,
            });
            return await this.findOne(id);
        }
        catch (e) {
            return e;
        }
    }

    async findAll(): Promise<ContactComponentCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        }
        catch (e) {
            return e;
        }
    }
}