import { EntityRepository, Repository } from "typeorm";
import { UpdateHomeComponentCmsDto } from "./dto/update-home-component-cms.dto";
import { HomeComponentCms } from "./entities/home-component-cms.entity";

@EntityRepository(HomeComponentCms)
export class HomeComponentCmsRepository extends Repository<HomeComponentCms> {

    async createEntity(dto: UpdateHomeComponentCmsDto): Promise<HomeComponentCms | Error> {
        try {
            const entity = this.create({
                sectionOneTitleFontColor: dto.sectionOneTitleFontColor,
                backgroundFontColor: dto.backgroundFontColor,
                sectionTwoTitleFontColor: dto.sectionTwoTitleFontColor,
                sectionTwoSubTitleFontColor: dto.sectionTwoSubTitleFontColor,
                sectionThreeTitleFontColor: dto.sectionThreeTitleFontColor,
                sectionFourTitleFontColor: dto.sectionFourTitleFontColor,
                sectionFiveTitleFontColor: dto.sectionFiveTitleFontColor,
                sectionFiveSubTitleFontColor: dto.sectionFiveSubTitleFontColor,
                sectionSixTitleFontColor: dto.sectionSixTitleFontColor,
                sectionEightTitleFontColor: dto.sectionEightTitleFontColor,
                sectionEightSubTitleFontColor: dto.sectionEightSubTitleFontColor,
                sectionNineTitleFontColor: dto.sectionNineTitleFontColor,
            });
            await this.save(entity);
            return entity;
        }
        catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateHomeComponentCmsDto, id: string): Promise<HomeComponentCms | Error> {
        try {
            await this.update(id, {
                sectionOneTitleFontColor: dto.sectionOneTitleFontColor,
                backgroundFontColor: dto.backgroundFontColor,
                sectionTwoTitleFontColor: dto.sectionTwoTitleFontColor,
                sectionTwoSubTitleFontColor: dto.sectionTwoSubTitleFontColor,
                sectionThreeTitleFontColor: dto.sectionThreeTitleFontColor,
                sectionFourTitleFontColor: dto.sectionFourTitleFontColor,
                sectionFiveTitleFontColor: dto.sectionFiveTitleFontColor,
                sectionFiveSubTitleFontColor: dto.sectionFiveSubTitleFontColor,
                sectionSixTitleFontColor: dto.sectionSixTitleFontColor,
                sectionEightTitleFontColor: dto.sectionEightTitleFontColor,
                sectionEightSubTitleFontColor: dto.sectionEightSubTitleFontColor,
                sectionNineTitleFontColor: dto.sectionNineTitleFontColor,
            });
            return await this.findOne(id);
        }
        catch (e) {
            return e;
        }
    }

    async findAll(): Promise<HomeComponentCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        }
        catch (e) {
            return e;
        }
    }
}