import { EntityRepository, Repository } from "typeorm";
import { UpdatePrivacyPolicyComponentCmsDto } from "./dto/update-privacy-policy-component-cms.dto";
import { PrivacyPolicyComponentCms } from "./entities/privacy-policy-component-cms.entity";

@EntityRepository(PrivacyPolicyComponentCms)
export class PrivacyPolicyComponentCmsRepository extends Repository<PrivacyPolicyComponentCms> {

    async createEntity(dto: UpdatePrivacyPolicyComponentCmsDto): Promise<PrivacyPolicyComponentCms | Error> {
        try {
            const entity = this.create({
                pageHeaderFontColor: dto.pageHeaderFontColor,
                pageHeaderBackgroundColor: dto.pageHeaderBackgroundColor,
                pageBackgroundColor: dto.pageBackgroundColor,
            });
            await this.save(entity);
            return entity;
        }
        catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdatePrivacyPolicyComponentCmsDto, id: string): Promise<PrivacyPolicyComponentCms | Error> {
        try {
            await this.update(id, {
                pageHeaderFontColor: dto.pageHeaderFontColor,
                pageHeaderBackgroundColor: dto.pageHeaderBackgroundColor,
                pageBackgroundColor: dto.pageBackgroundColor,
            });
            return await this.findOne(id);
        }
        catch (e) {
            return e;
        }
    }

    async findAll(): Promise<PrivacyPolicyComponentCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        }
        catch (e) {
            return e;
        }
    }
}