import { Controller, Get, Post, Body, HttpCode, UseGuards, HttpStatus } from '@nestjs/common';
import { AdminAuthGuard } from 'src/core/guards/admin-auth.guard';
import { Constants } from 'src/utils/constants';
import { ProductDetailsComponentCmsService } from './product-details-component-cms.service';
import { UpdateProductDetailsComponentCmsDto } from './dto/update-product-details-component-cms.dto';

@Controller({ path: 'product-details-component-cms', version: Constants.API_VERSION_1 })

export class ProductDetailsComponentCmsController {
    constructor(private readonly service: ProductDetailsComponentCmsService) { }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateProductDetailsComponentCmsDto,
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
