import { Controller, Get, Post, Body, HttpCode, UseGuards, HttpStatus } from '@nestjs/common';
import { AdminAuthGuard } from 'src/core/guards/admin-auth.guard';
import { Constants } from 'src/utils/constants';
import { ReturnPolicyComponentCmsService } from './return-policy-component-cms.service';
import { UpdateReturnPolicyComponentCmsDto } from './dto/update-return-policy-component-cms.dto';

@Controller({ path: 'return-policy-component-cms', version: Constants.API_VERSION_1 })

export class ReturnPolicyComponentCmsController {
    constructor(private readonly service: ReturnPolicyComponentCmsService) { }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateReturnPolicyComponentCmsDto,
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
