import { Controller, Get, Post, Body, HttpCode, UseGuards, HttpStatus } from '@nestjs/common';
import { AdminAuthGuard } from 'src/core/guards/admin-auth.guard';
import { Constants } from 'src/utils/constants';
import { ShopComponentCmsService } from './shop-component-cms.service';
import { UpdateShopComponentCmsDto } from './dto/update-shop-component-cms.dto';

@Controller({ path: 'shop-component-cms', version: Constants.API_VERSION_1 })

export class ShopComponentCmsController {
    constructor(private readonly service: ShopComponentCmsService) { }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateShopComponentCmsDto,
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
