import { EntityRepository, Repository } from "typeorm";
import { UpdateShopComponentCmsDto } from "./dto/update-shop-component-cms.dto";
import { ShopComponentCms } from "./entities/shop-component-cms.entity";

@EntityRepository(ShopComponentCms)
export class ShopComponentCmsRepository extends Repository<ShopComponentCms> {

    async createEntity(dto: UpdateShopComponentCmsDto): Promise<ShopComponentCms | Error> {
        try {
            const entity = this.create({
                headerTitleFontColor: dto.headerTitleFontColor,
                headerSubTitleFontColor: dto.headerSubTitleFontColor,
                pageTitleFontColor: dto.pageTitleFontColor,
                pageSubTitleFontColor: dto.pageSubTitleFontColor,
                headerBackgroundColor: dto.headerBackgroundColor,
                pageBackgroundColor: dto.pageBackgroundColor,
                badgeColor: dto.badgeColor
            });
            await this.save(entity);
            return entity;
        }
        catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateShopComponentCmsDto, id: string): Promise<ShopComponentCms | Error> {
        try {
            await this.update(id, {
                headerTitleFontColor: dto.headerTitleFontColor,
                headerSubTitleFontColor: dto.headerSubTitleFontColor,
                pageTitleFontColor: dto.pageTitleFontColor,
                pageSubTitleFontColor: dto.pageSubTitleFontColor,
                headerBackgroundColor: dto.headerBackgroundColor,
                pageBackgroundColor: dto.pageBackgroundColor,
                badgeColor: dto.badgeColor
            });
            return await this.findOne(id);
        }
        catch (e) {
            return e;
        }
    }

    async findAll(): Promise<ShopComponentCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        }
        catch (e) {
            return e;
        }
    }
}