import { Controller, Get, Post, Body, HttpCode, UseGuards, HttpStatus } from '@nestjs/common';
import { AdminAuthGuard } from 'src/core/guards/admin-auth.guard';
import { Constants } from 'src/utils/constants';
import { StyleComponentCmsService } from './style-component-cms.service';
import { UpdateStyleComponentCmsDto } from './dto/update-style-component-cms.dto';

@Controller({ path: 'style-component-cms', version: Constants.API_VERSION_1 })

export class StyleComponentCmsController {
    constructor(private readonly service: StyleComponentCmsService) { }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateStyleComponentCmsDto,
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
