import { EntityRepository, Repository } from "typeorm";
import { UpdateStyleComponentCmsDto } from "./dto/update-style-component-cms.dto";
import { StyleComponentCms } from "./entities/style-component-cms.entity";

@EntityRepository(StyleComponentCms)
export class StyleComponentCmsRepository extends Repository<StyleComponentCms> {

    async createEntity(dto: UpdateStyleComponentCmsDto): Promise<StyleComponentCms | Error> {
        try {
            const entity = this.create({
                sectionTwoTitleFontColor: dto.sectionTwoTitleFontColor,
                sectionThreeTitleFontColor: dto.sectionThreeTitleFontColor,
                sectionThreeSubTitleFontColor: dto.sectionThreeSubTitleFontColor,
                sectionFourTitleFontColor: dto.sectionFourTitleFontColor,
                sectionFourSubTitleFontColor: dto.sectionFourSubTitleFontColor,
                pageBackgroundColor: dto.pageBackgroundColor,
                sectionTwoBackgroundColor: dto.sectionTwoBackgroundColor,
                sectionFiveTitleFontColor: dto.sectionFiveTitleFontColor,
            });
            await this.save(entity);
            return entity;
        }
        catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateStyleComponentCmsDto, id: string): Promise<StyleComponentCms | Error> {
        try {
            await this.update(id, {
                sectionTwoTitleFontColor: dto.sectionTwoTitleFontColor,
                sectionThreeTitleFontColor: dto.sectionThreeTitleFontColor,
                sectionThreeSubTitleFontColor: dto.sectionThreeSubTitleFontColor,
                sectionFourTitleFontColor: dto.sectionFourTitleFontColor,
                sectionFourSubTitleFontColor: dto.sectionFourSubTitleFontColor,
                pageBackgroundColor: dto.pageBackgroundColor,
                sectionTwoBackgroundColor: dto.sectionTwoBackgroundColor,
                sectionFiveTitleFontColor: dto.sectionFiveTitleFontColor,
            });
            return await this.findOne(id);
        }
        catch (e) {
            return e;
        }
    }

    async findAll(): Promise<StyleComponentCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        }
        catch (e) {
            return e;
        }
    }
}