import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { ProductMaterialVariantsRepository } from './product-material-variants.repository';
import { ProductMaterialVariantsController } from './product-material-variants.controller';
import { ProductMaterialVariantsService } from './product-material-variants.service';
import { JwtModule } from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { UsersRepository } from 'src/modules/users/user.repository';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([ProductMaterialVariantsRepository])
    ],
    controllers: [ProductMaterialVariantsController],
    providers: [ProductMaterialVariantsService, JwtHelper]
})
export class ProductMaterialVariantsModule {}
