import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { ProductTagVariantsRepository } from './product-tag-variants.repository';
import { ProductTagVariantsController } from './product-tag-variants.controller';
import { ProductTagVariantsService } from './product-tag-variants.service';
import { JwtModule } from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { UsersRepository } from 'src/modules/users/user.repository';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([ProductTagVariantsRepository])
    ],
    controllers: [ProductTagVariantsController],
    providers: [ProductTagVariantsService, JwtHelper]
})
export class ProductTagVariantsModule {}
