import { Module } from '@nestjs/common';
import { JwtModule } from '@nestjs/jwt';
import { TypeOrmModule } from '@nestjs/typeorm';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { UsersRepository } from 'src/modules/users/user.repository';
import { VendorController } from './vendor.controller';
import { VendorRepository } from './vendor.repository';
import { VendorService } from './vendor.service';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([VendorRepository])
    ],
    controllers: [VendorController],
    providers: [VendorService, JwtHelper]
})
export class VendorModule { }
